Loading...
Searching...
No Matches
gx_engine::smbPitchShift Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::smbPitchShift:

## Public Member Functions

| smbPitchShift (EngineControl &engine, sigc::slot< void > sync)
| ~smbPitchShift ()

## Public Attributes

Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

int | load_ui_f (const UiBuilder &b, int form)
int | register_par (const ParamReg &reg)
void | change_latency ()
void | mem_alloc ()
void | mem_free ()
void | clear_state ()
int | activate (bool start)
bool | setParameters (int sampleRate)
void | PitchShift (int count, float *indata, float *outdata)
void | change_buffersize (unsigned int size)

## Static Private Member Functions

static int | activate_static (bool start, PluginDef *)
static void | del_instance (PluginDef *p)
static int | registerparam (const ParamReg &reg)
static int | load_ui_f_static (const UiBuilder &b, int form)
static void | init (unsigned int sampleRate, PluginDef *plugin)
static void | compute_static (int count, float *input0, float *output0, PluginDef *p)

## Private Attributes

gx_resample::SimpleResampler | resamp
EngineControl & | engine
bool | mem_allocated
sigc::slot< void > | sync
volatile bool | ready
float | gInFIFO [MAX_FRAME_LENGTH]
float | gOutFIFO [MAX_FRAME_LENGTH]
float * | fpb
float * | expect
float * | hanning
float * | hanningd
float * | resampin
float * | resampin2
float * | resampout
float * | indata2
float | gLastPhase [MAX_FRAME_LENGTH/2+1]
float | gSumPhase [MAX_FRAME_LENGTH/2+1]
float | gOutputAccum [2 *MAX_FRAME_LENGTH]
float | gAnaFreq [MAX_FRAME_LENGTH]
float | gAnaMagn [MAX_FRAME_LENGTH]
float | gSynFreq [MAX_FRAME_LENGTH]
float | gSynMagn [MAX_FRAME_LENGTH]
float | semitones
float | a
float | b
float | c
float | d
float | l
float | wet
float | dry
float | mpi
float | mpi1
float | tone
int | octave
int | osamp
int | numSampsToResamp
int | numSampsToProcess
int | fftFrameSize
int | sampleRate
int | latency
int | ai
int | aio
int | ii
long | gRover
double | magn
double | phase
double | tmp
double | real
double | imag
double | freqPerBin
double | freqPerBin1
double | freqPerBin2
double | expct
double | fftFrameSize3
double | fftFrameSize4
double | osamp1
double | osamp2
long | i
long | k
long | qpd
long | index
long | inFifoLatency
long | stepSize
long | fftFrameSize2
fftwf_complex | fftw_in [MAX_FRAME_LENGTH]
fftwf_complex | fftw_out [MAX_FRAME_LENGTH]
fftwf_plan | ftPlanForward
fftwf_plan | ftPlanInverse

## Detailed Description

Definition at line 1198 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## smbPitchShift()

gx_engine::smbPitchShift::smbPitchShift | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync )

## ~smbPitchShift()

gx_engine::smbPitchShift::~smbPitchShift | ( |  | ) |

## Member Function Documentation

## activate()

int gx_engine::smbPitchShift::activate | ( | bool | start | ) |

private

## activate_static()

int gx_engine::smbPitchShift::activate_static | ( | bool | start,
|  | PluginDef * | )

static private

## change_buffersize()

void gx_engine::smbPitchShift::change_buffersize | ( | unsigned int | size | ) |

private

## change_latency()

void gx_engine::smbPitchShift::change_latency | ( |  | ) |

private

## clear_state()

void gx_engine::smbPitchShift::clear_state | ( |  | ) |

private

## compute_static()

void gx_engine::smbPitchShift::compute_static | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | p )

static private

## del_instance()

void gx_engine::smbPitchShift::del_instance | ( | PluginDef * | p | ) |

static private

## init()

void gx_engine::smbPitchShift::init | ( | unsigned int | sampleRate,
|  | PluginDef * | plugin )

static private

## load_ui_f()

int gx_engine::smbPitchShift::load_ui_f | ( | const UiBuilder & | b,
|  | int | form )

inline private

## load_ui_f_static()

int gx_engine::smbPitchShift::load_ui_f_static | ( | const UiBuilder & | b,
|  | int | form )

static private

## mem_alloc()

void gx_engine::smbPitchShift::mem_alloc | ( |  | ) |

private

## mem_free()

void gx_engine::smbPitchShift::mem_free | ( |  | ) |

private

## PitchShift()

void gx_engine::smbPitchShift::PitchShift | ( | int | count,
|  | float * | indata,
|  | float * | outdata )

private

## register_par()

int gx_engine::smbPitchShift::register_par | ( | const ParamReg & | reg | ) |

private

## registerparam()

int gx_engine::smbPitchShift::registerparam | ( | const ParamReg & | reg | ) |

static private

## setParameters()

bool gx_engine::smbPitchShift::setParameters | ( | int | sampleRate | ) |

private

## Member Data Documentation

## a

float gx_engine::smbPitchShift::a

private

Definition at line 1223 of file gx_internal_plugins.h.

## ai

int gx_engine::smbPitchShift::ai

private

Definition at line 1230 of file gx_internal_plugins.h.

## aio

int gx_engine::smbPitchShift::aio

private

Definition at line 1231 of file gx_internal_plugins.h.

## b

float gx_engine::smbPitchShift::b

private

Definition at line 1223 of file gx_internal_plugins.h.

Referenced by load_ui_f(), and load_ui_f_static().

## c

float gx_engine::smbPitchShift::c

private

Definition at line 1223 of file gx_internal_plugins.h.

## d

float gx_engine::smbPitchShift::d

private

Definition at line 1223 of file gx_internal_plugins.h.

## dry

float gx_engine::smbPitchShift::dry

private

Definition at line 1225 of file gx_internal_plugins.h.

## engine

EngineControl& gx_engine::smbPitchShift::engine

private

Definition at line 1201 of file gx_internal_plugins.h.

Referenced by smbPitchShift().

## expct

double gx_engine::smbPitchShift::expct

private

Definition at line 1235 of file gx_internal_plugins.h.

## expect

float* gx_engine::smbPitchShift::expect

private

Definition at line 1208 of file gx_internal_plugins.h.

## fftFrameSize

int gx_engine::smbPitchShift::fftFrameSize

private

Definition at line 1228 of file gx_internal_plugins.h.

## fftFrameSize2

long gx_engine::smbPitchShift::fftFrameSize2

private

Definition at line 1239 of file gx_internal_plugins.h.

## fftFrameSize3

double gx_engine::smbPitchShift::fftFrameSize3

private

Definition at line 1236 of file gx_internal_plugins.h.

## fftFrameSize4

double gx_engine::smbPitchShift::fftFrameSize4

private

Definition at line 1237 of file gx_internal_plugins.h.

## fftw_in

fftwf_complex gx_engine::smbPitchShift::fftw_in[MAX_FRAME_LENGTH]

private

Definition at line 1241 of file gx_internal_plugins.h.

## fftw_out

fftwf_complex gx_engine::smbPitchShift::fftw_out[MAX_FRAME_LENGTH]

private

Definition at line 1241 of file gx_internal_plugins.h.

## fpb

float* gx_engine::smbPitchShift::fpb

private

Definition at line 1207 of file gx_internal_plugins.h.

## freqPerBin

double gx_engine::smbPitchShift::freqPerBin

private

Definition at line 1235 of file gx_internal_plugins.h.

## freqPerBin1

double gx_engine::smbPitchShift::freqPerBin1

private

Definition at line 1235 of file gx_internal_plugins.h.

## freqPerBin2

double gx_engine::smbPitchShift::freqPerBin2

private

Definition at line 1235 of file gx_internal_plugins.h.

## ftPlanForward

fftwf_plan gx_engine::smbPitchShift::ftPlanForward

private

Definition at line 1242 of file gx_internal_plugins.h.

## ftPlanInverse

fftwf_plan gx_engine::smbPitchShift::ftPlanInverse

private

Definition at line 1242 of file gx_internal_plugins.h.

## gAnaFreq

float gx_engine::smbPitchShift::gAnaFreq[MAX_FRAME_LENGTH]

private

Definition at line 1218 of file gx_internal_plugins.h.

## gAnaMagn

float gx_engine::smbPitchShift::gAnaMagn[MAX_FRAME_LENGTH]

private

Definition at line 1219 of file gx_internal_plugins.h.

## gInFIFO

float gx_engine::smbPitchShift::gInFIFO[MAX_FRAME_LENGTH]

private

Definition at line 1205 of file gx_internal_plugins.h.

## gLastPhase

float gx_engine::smbPitchShift::gLastPhase[MAX_FRAME_LENGTH/2+1]

private

Definition at line 1215 of file gx_internal_plugins.h.

## gOutFIFO

float gx_engine::smbPitchShift::gOutFIFO[MAX_FRAME_LENGTH]

private

Definition at line 1206 of file gx_internal_plugins.h.

## gOutputAccum

float gx_engine::smbPitchShift::gOutputAccum[2 *MAX_FRAME_LENGTH]

private

Definition at line 1217 of file gx_internal_plugins.h.

## gRover

long gx_engine::smbPitchShift::gRover

private

Definition at line 1233 of file gx_internal_plugins.h.

## gSumPhase

float gx_engine::smbPitchShift::gSumPhase[MAX_FRAME_LENGTH/2+1]

private

Definition at line 1216 of file gx_internal_plugins.h.

## gSynFreq

float gx_engine::smbPitchShift::gSynFreq[MAX_FRAME_LENGTH]

private

Definition at line 1220 of file gx_internal_plugins.h.

## gSynMagn

float gx_engine::smbPitchShift::gSynMagn[MAX_FRAME_LENGTH]

private

Definition at line 1221 of file gx_internal_plugins.h.

## hanning

float* gx_engine::smbPitchShift::hanning

private

Definition at line 1209 of file gx_internal_plugins.h.

## hanningd

float* gx_engine::smbPitchShift::hanningd

private

Definition at line 1210 of file gx_internal_plugins.h.

## i

long gx_engine::smbPitchShift::i

private

Definition at line 1239 of file gx_internal_plugins.h.

## ii

int gx_engine::smbPitchShift::ii

private

Definition at line 1232 of file gx_internal_plugins.h.

## imag

double gx_engine::smbPitchShift::imag

private

Definition at line 1234 of file gx_internal_plugins.h.

## indata2

float* gx_engine::smbPitchShift::indata2

private

Definition at line 1214 of file gx_internal_plugins.h.

## index

long gx_engine::smbPitchShift::index

private

Definition at line 1239 of file gx_internal_plugins.h.

## inFifoLatency

long gx_engine::smbPitchShift::inFifoLatency

private

Definition at line 1239 of file gx_internal_plugins.h.

## k

long gx_engine::smbPitchShift::k

private

Definition at line 1239 of file gx_internal_plugins.h.

## l

float gx_engine::smbPitchShift::l

private

Definition at line 1223 of file gx_internal_plugins.h.

## latency

int gx_engine::smbPitchShift::latency

private

Definition at line 1229 of file gx_internal_plugins.h.

## magn

double gx_engine::smbPitchShift::magn

private

Definition at line 1234 of file gx_internal_plugins.h.

## mem_allocated

bool gx_engine::smbPitchShift::mem_allocated

private

Definition at line 1202 of file gx_internal_plugins.h.

## mpi

float gx_engine::smbPitchShift::mpi

private

Definition at line 1226 of file gx_internal_plugins.h.

## mpi1

float gx_engine::smbPitchShift::mpi1

private

Definition at line 1226 of file gx_internal_plugins.h.

## numSampsToProcess

int gx_engine::smbPitchShift::numSampsToProcess

private

Definition at line 1228 of file gx_internal_plugins.h.

## numSampsToResamp

int gx_engine::smbPitchShift::numSampsToResamp

private

Definition at line 1228 of file gx_internal_plugins.h.

## octave

int gx_engine::smbPitchShift::octave

private

Definition at line 1228 of file gx_internal_plugins.h.

## osamp

int gx_engine::smbPitchShift::osamp

private

Definition at line 1228 of file gx_internal_plugins.h.

## osamp1

double gx_engine::smbPitchShift::osamp1

private

Definition at line 1238 of file gx_internal_plugins.h.

## osamp2

double gx_engine::smbPitchShift::osamp2

private

Definition at line 1238 of file gx_internal_plugins.h.

## phase

double gx_engine::smbPitchShift::phase

private

Definition at line 1234 of file gx_internal_plugins.h.

## plugin

Plugin gx_engine::smbPitchShift::plugin

Definition at line 1263 of file gx_internal_plugins.h.

Referenced by init().

## qpd

long gx_engine::smbPitchShift::qpd

private

Definition at line 1239 of file gx_internal_plugins.h.

## ready

volatile bool gx_engine::smbPitchShift::ready

private

Definition at line 1204 of file gx_internal_plugins.h.

## real

double gx_engine::smbPitchShift::real

private

Definition at line 1234 of file gx_internal_plugins.h.

## resamp

gx_resample::SimpleResampler gx_engine::smbPitchShift::resamp

private

Definition at line 1200 of file gx_internal_plugins.h.

## resampin

float* gx_engine::smbPitchShift::resampin

private

Definition at line 1211 of file gx_internal_plugins.h.

## resampin2

float* gx_engine::smbPitchShift::resampin2

private

Definition at line 1212 of file gx_internal_plugins.h.

## resampout

float* gx_engine::smbPitchShift::resampout

private

Definition at line 1213 of file gx_internal_plugins.h.

## sampleRate

int gx_engine::smbPitchShift::sampleRate

private

Definition at line 1228 of file gx_internal_plugins.h.

Referenced by init(), and setParameters().

## semitones

float gx_engine::smbPitchShift::semitones

private

Definition at line 1222 of file gx_internal_plugins.h.

## stepSize

long gx_engine::smbPitchShift::stepSize

private

Definition at line 1239 of file gx_internal_plugins.h.

## sync

sigc::slot<void> gx_engine::smbPitchShift::sync

private

Definition at line 1203 of file gx_internal_plugins.h.

Referenced by smbPitchShift().

## tmp

double gx_engine::smbPitchShift::tmp

private

Definition at line 1234 of file gx_internal_plugins.h.

## tone

float gx_engine::smbPitchShift::tone

private

Definition at line 1227 of file gx_internal_plugins.h.

## wet

float gx_engine::smbPitchShift::wet

private

Definition at line 1224 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h